Bug 213254 - kernel-2.6.18-1.2798.fc6.i686 locks up hard at bootup
Summary: kernel-2.6.18-1.2798.fc6.i686 locks up hard at bootup
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 7
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-31 14:47 UTC by Ralf Corsepius
Modified: 2015-01-04 22:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-17 01:14:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ralf Corsepius 2006-10-31 14:47:19 UTC
Description of problem:

After having upgraded from fc5 to fc6
the kernel-2.6.18-1.2798.fc6.i686 locks up hard during bootup.

Grub boots up normally, but afterwards the kernel seems to hang in a very early
stage of initializing the kernel. 

This is the end of the printout on the terminal:

...
ACPI: Core revision 20060707
ACPU; setting ELCR to 0800 (from 0020)
CPU0: Intel(R) Pentium(R) 4 CPU 2.60GHz stepping 07

Afterwards, the machine is completely non-responsive (Not even the 3-finger
salute works), only the "power button" reacts. No visible nor audible dactivity,
 no logs, just nothing.

Booting an fc5 kernel underneath fc6, this machine seems to work flawlessly.

Version-Release number of selected component (if applicable):
kernel-2.6.18-1.2798.fc6.i686

Comment 1 Dave Jones 2006-10-31 22:31:19 UTC
can you try booting with initcall_debug, and see if that changes the last few
lines that gets printed ?

Can you also try booting with nolapic and see if that makes a difference ?


Comment 2 Ralf Corsepius 2006-11-01 03:47:27 UTC
(In reply to comment #1)
> can you try booting with initcall_debug, and see if that changes the last few
> lines that gets printed ?
No, it doesn't.

> Can you also try booting with nolapic and see if that makes a difference ?
Doesn't either.

Comment 3 Ralf Corsepius 2006-11-03 17:34:53 UTC
Same with kernel-2.6.18-1.2835.fc6.i686.rpm - No improvement

Comment 4 Ralf Corsepius 2006-11-06 05:46:45 UTC
(In reply to comment #1)
> Can you also try booting with nolapic and see if that makes a difference ?
FWIW:

w/ kernel-2.6.18-1.2200.fc5 I am observing this bootmsg:
...
Kernel command line: ro root=/dev/VolGroup00/LogVol00 3
Local APIC disabled by BIOS -- you can enable it with "lapic"
mapped APIC to ffffd000 (01404000)
...

Adding "lapic", this happens:
...
Kernel command line: ro root=/dev/VolGroup00/LogVol00 lapic 3
Local APIC disabled by BIOS -- reenabling.
Found and enabled local APIC!
mapped APIC to ffffd000 (fee00000)
...

With "nolapic", this happens:
...
Kernel command line: ro root=/dev/VolGroup00/LogVol00 nolapic 3
mapped APIC to ffffd000 (01404000)
...

=> With any of these parameters and kernel-2.6.18-1.2200.fc5, I can't sense any
major user-visible behavioral change.

2.6.18-1*.fc6 kernels always hang, independently of whether specifying "lapic",
"nolapic" or nothing on the kernel's command-line.

Comment 5 Ralf Corsepius 2006-11-13 09:17:30 UTC
No improvement with kernel-2.6.18-1.2849.fc6.i686.
Still as broken as all previous fc6 kernels.


Further observations:
* kernel-2.6.18-1.2239.fc5.i686 boots without any problems

* Booting kernel-smp-2.6.18-1.2239.fc5.i686 bombs out with a kernel-oops

* kernel-2.6.18-1.2849.fc6.i686 boots with acpi=off !!!!

Comment 6 Ralf Corsepius 2007-02-20 11:50:26 UTC
Bug still present with 2.6.19-1.2911.fc6


Comment 7 Ralf Corsepius 2007-08-11 04:27:21 UTC
Bug still present with kernel-2.6.22.1-41.fc7.i686


Comment 8 Bug Zapper 2008-05-14 12:04:18 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2008-06-17 01:14:36 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.